Bug 107711 - FILEOPEN XLSX: Pivot table page fields filter not read correctly
Summary: FILEOPEN XLSX: Pivot table page fields filter not read correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.0.0
Keywords: filter:xlsx
Depends on:
Blocks: Pivot-Table-XLSX
  Show dependency treegraph
 
Reported: 2017-05-08 22:06 UTC by Gabor Kelemen
Modified: 2017-10-07 13:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file made in Excel 2013 (18.28 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-05-08 22:06 UTC, Gabor Kelemen
Details
The empty and < 2017 values are filtered out in Excel (7.22 MB, image/jpeg)
2017-05-08 22:08 UTC, Gabor Kelemen
Details
Only the empty values are filtered out in Calc (96.57 KB, image/png)
2017-05-08 22:21 UTC, Gabor Kelemen
Details
Pivot table page fields filter is working correctly with .XLS format (35.50 KB, application/vnd.ms-excel)
2017-09-18 19:04 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-05-08 22:06:54 UTC
Created attachment 133170 [details]
Example file made in Excel 2013

Attached file was made with Excel 2013 and has a pivot table page field (named pwdLastSet) which is filtered to show only date values from 2017.

In current master Calc it hides only the empty cells, and not the ones with values 2014 and 2016.
Comment 1 Gabor Kelemen 2017-05-08 22:08:22 UTC
Created attachment 133171 [details]
The empty and < 2017 values are filtered out in Excel
Comment 2 Gabor Kelemen 2017-05-08 22:21:42 UTC
Created attachment 133173 [details]
Only the empty values are filtered out in Calc
Comment 3 m.a.riosv 2017-05-09 00:26:01 UTC
Reproducible.
Version: 5.3.3.2 (x64)
Build ID: 3d9a8b4b4e538a85e0782bd6c2d430bafe583448
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; Layout Engine: new; 
Locale: es-ES (es_ES); Calc: group

Even with LibreOffice, selected dates are not preserved saving on xlsx format, but works with ods.
Comment 4 Bartosz 2017-09-18 19:04:22 UTC
Created attachment 136348 [details]
Pivot table page fields filter is working correctly with .XLS format
Comment 5 Tamás Zolnai 2017-09-28 23:19:08 UTC
Bartosz, are you still working on this issue?
Comment 6 Commit Notification 2017-09-30 18:25:28 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=625653c8d119e720fb93b0c9f6f50d1eb625b179

tdf#107711:Pivot table: filtering of non-string fields is not exported to XLSX

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.